Bug 32112 - Move "Delete selected items" button to new line
Summary: Move "Delete selected items" button to new line
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 30952
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-04 13:50 UTC by Caroline Cyr La Rose
Modified: 2022-11-16 12:39 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Screenshot of the items batch deletion tool in the old design (113.34 KB, image/png)
2022-11-04 13:52 UTC, Caroline Cyr La Rose
Details
Screenshot of the items batch deletion tool in the new design (110.47 KB, image/png)
2022-11-04 13:53 UTC, Caroline Cyr La Rose
Details
Bug 32112: Move 'Delete selected items' to its own line (1.76 KB, patch)
2022-11-15 16:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32112: Move 'Delete selected items' to its own line (1.80 KB, patch)
2022-11-15 20:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 32112: Move 'Delete selected items' to its own line (1.87 KB, patch)
2022-11-16 08:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2022-11-04 13:50:38 UTC
When deleting items in batch, there is an option to delete the bibliographic record if all the items are deleted. In the new design, the text and the checkbox for this option are misaligned. They are also on the same line as the button to delete the item, which was not the case before.

To test:
1. Go to a bibliographic record that has items
2. Click Edit > Delete items in a batch
   --> At the bottom of the resulting screen, there is a checkbox 'Delete records if no items remain', which is misaligned
Comment 1 Caroline Cyr La Rose 2022-11-04 13:52:14 UTC
Created attachment 143209 [details]
Screenshot of the items batch deletion tool in the old design

This is a screenshot of the items batch deletion tool in the old design. Note that the text and checkbox under the table are aligned, and also on their own line.
Comment 2 Caroline Cyr La Rose 2022-11-04 13:53:34 UTC
Created attachment 143210 [details]
Screenshot of the items batch deletion tool in the new design

This is a screenshot of the items batch deletion tool in the new design. Note that the checkbox and text are misaligned and also on the same line as the button and cancel option.
Comment 3 Caroline Cyr La Rose 2022-11-04 13:58:15 UTC
I just noticed that the line break is not in the more recent versions. I was comparing with the manual screenshot, which dates back to I don't know when, but I checked in a 21.05 instance and the option is on the same line as the button and delete option.

I kind of like when it is on two lines, but I don't know why it was changed, and maybe there is a reason it was put on the same line...
Comment 4 Katrin Fischer 2022-11-15 16:35:24 UTC
The checkbox and the label now align correctly on maser - I believe this to be a positive side-effect from some other fixes.

We the Save button is still on the same line as the checkbox, that might be something to still look into here. Adjusting bug description.
Comment 5 Katrin Fischer 2022-11-15 16:41:27 UTC
Created attachment 143920 [details] [review]
Bug 32112: Move 'Delete selected items' to its own line

This moves the checkbox and its label out of the action field set
which makes it appear above the bottons instead of in front of it.

To test:
* Go to any record
* Select items and send to item batch delete
* Verify checkbox appears in front of button
* Apply patch
* Verify the checkbox and the yellow 'delete selected items' button
  are now on separate lines
Comment 6 David Nind 2022-11-15 20:34:46 UTC
Created attachment 143931 [details] [review]
Bug 32112: Move 'Delete selected items' to its own line

This moves the checkbox and its label out of the action field set
which makes it appear above the bottons instead of in front of it.

To test:
* Go to any record
* Select items and send to item batch delete
* Verify checkbox appears in front of button
* Apply patch
* Verify the checkbox and the yellow 'delete selected items' button
  are now on separate lines

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Jonathan Druart 2022-11-16 08:42:36 UTC
Created attachment 143944 [details] [review]
Bug 32112: Move 'Delete selected items' to its own line

This moves the checkbox and its label out of the action field set
which makes it appear above the bottons instead of in front of it.

To test:
* Go to any record
* Select items and send to item batch delete
* Verify checkbox appears in front of button
* Apply patch
* Verify the checkbox and the yellow 'delete selected items' button
  are now on separate lines

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Tomás Cohen Arazi 2022-11-16 12:39:45 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!